<id>
AntiTheft YaBB 2 RC3
</id>

<version>
Beta 3
</version>

<mod info>
Let's say you post some thread with pictures and links in it  on your board. Perhaps you did the images by yourself or you had to search for them a long time.

Now a guest comes, sees that thread and copies the images and/or links out of it to use it on his own board and to pretend it's all his gain.

Not a nice thought, huh?

What this mod does:
It replaces ALL images on your board (posts, signatures and so on - not avatars!) with an "forbidden picture" for guests. It also replaces ALL links on your board with an customized text telling the guest that he has to register in order to be able to see the links. The links will directly link to the register page of your board.

INSTALLATION:
- Backup your AdminEdit.pl, AdminIndex.pl, ModList.pl and YaBBC.pl
- Apply the mod with BoardMod
- Upload changed AdminEdit.pl, AdminIndex.pl, ModList.pl and YaBBC.pl
- Upload antitheft folder to your ModImages directory
- Upload language file to your languages folder
- Go to your admin settings & preferences and configure the new settings
</mod info>

<author>
Valtiel
</author>

<homepage>
http://www.silenthill-forum.de
</homepage>

#################################################

<edit file>
Admin/AdminEdit.pl
</edit file>

<search for>
LoadLanguage("Register");
</search for>

<add after>
LoadLanguage("AntiTheft");
</add after>

<search for>
	if ($showyabbcbutt) { $syabbcchecked = ' checked="checked" ' ;}
</search for>

<add after>
	if ($antitheftlinks) { $linktheftchecked = ' checked="checked" ' ;}
	if ($antitheftgraphics) { $graphictheftchecked = ' checked="checked" ' ;}
</add after>

<search for>
		<div class="setting_cell">$admin_txt{'380'}</div>
		<div class="setting_cell2"><input type="checkbox" name="enable_guestposting" $gpchecked /></div>
	<br />
</search for>

<add after>
		<div class="setting_cell">$guestrtxt{'3'}</div>
		<div class="setting_cell2"><input type="checkbox" name="antitheftlinks" $linktheftchecked /></div>
	<br />
		<div class="setting_cell">$guestrtxt{'4'}</div>
		<div class="setting_cell2"><input type="checkbox" name="antitheftgraphics" $graphictheftchecked /></div>
	<br />
</add after>

<search for>
	my @onoff = qw/
		cachebehaviour debug nestedquotes preregister parseflash enableclicklog allowpics showyabbcbutt showbdescrip maintenance guestaccess insert_original enable_ubbc enable_news enable_guestposting enable_notification showlatestmember showrecentbar showmodify showuserpic showusertext showgenderimage shownewsfader MenuType profilebutton autolinkurls emailpassword RegAgree emailwelcome allow_hide_email faketruncation emailnewpass smtp_auth_required barmaxdepend fadelinks/;
</search for>

<replace>
	my @onoff = qw/
		cachebehaviour debug nestedquotes preregister parseflash enableclicklog allowpics showyabbcbutt showbdescrip maintenance guestaccess insert_original enable_ubbc enable_news enable_guestposting enable_notification showlatestmember showrecentbar showmodify showuserpic showusertext showgenderimage shownewsfader MenuType profilebutton autolinkurls emailpassword RegAgree emailwelcome allow_hide_email faketruncation emailnewpass smtp_auth_required barmaxdepend fadelinks antitheftlinks antitheftgraphics/;
</replace>

<search for>
\$showyabbcbutt = $showyabbcbutt;                       # Set to 1 to display the yabbc buttons on Posting and IM Send Pages
</search for>

<add after>
\$antitheftlinks = $antitheftlinks;                     # Set to 1 to make links visible for guests
\$antitheftgraphics = $antitheftgraphics;               # Set to 1 to make graphics visible for guests
</add after>

#################################################

<edit file>
AdminIndex.pl
</edit file>

<search for>
### BOARDMOD ANCHOR ###
</search for>

<add after>

	$antitheft_mod = "antitheft|AntiTheft Beta 3|AntiTheft Beta 3|";
	push (@boardmod_mods, "$antitheft_mod");
</add after>

#################################################

<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
%director=(
</search for>

<add after>
'antitheft',"AdminEdit.pl&ModifySettings",
</add after>

#################################################

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$antitheft_mod = "AntiTheft_Beta3_YaBB2|Valtiel|This mod will replace all images and links so that they aren't visible to guests any longer. They will see an special graphic instead of any images and an special link instead of any links. For registered members, nothing changes.|1.2|08/29/05";
	push (@installed_mods, "$antitheft_mod");

</add before>

#################################################

<edit file>
Sources/YaBBC.pl
</edit file>

<search for>
	$hardspace = qq~&nbsp;~;
	$char_160 = chr(160);
	$message =~ s~\[img\](?:\s|\t|\n|$hardspace|$char_160)*(http\:\/\/)*(.+?)(?:\s|\t|\n|$hardspace|$char_160)*\[/img\]~<img src="http\:\/\/$2" alt="" border="0" />~isg;
	$message =~ s~\[img width=(\d+) height=(\d+)\](?:\s|\t|\n|$hardspace|$char_160)*(http\:\/\/)*(.+?)(?:\s|\t|\n|$hardspace|$char_160)*\[/img\]~restrictimage($1,$2,'http://'.$4)~eisg;
</search for>

<replace>
	$hardspace = qq~&nbsp;~;
	$char_160 = chr(160);
	if($username ne "Guest" || ($username eq "Guest" && $antitheftgraphics==1)) {
	$message =~ s~\[img\](?:\s|\t|\n|$hardspace|$char_160)*(http\:\/\/)*(.+?)(?:\s|\t|\n|$hardspace|$char_160)*\[/img\]~<img src="http\:\/\/$2" alt="" border="0" />~isg;
	$message =~ s~\[img width=(\d+) height=(\d+)\](?:\s|\t|\n|$hardspace|$char_160)*(http\:\/\/)*(.+?)(?:\s|\t|\n|$hardspace|$char_160)*\[/img\]~restrictimage($1,$2,'http://'.$4)~eisg;
  }else{
  LoadLanguage("AntiTheft");
	$message =~ s~\[img\](?:\s|\t|\n|$hardspace|$char_160)*(http\:\/\/)*(.+?)(?:\s|\t|\n|$hardspace|$char_160)*\[/img\]~<img src="$modimgurl/antitheft/guestimage.gif" alt="guestrtxt{'2'}" border="0" />~isg;
	$message =~ s~\[img width=(\d+) height=(\d+)\](?:\s|\t|\n|$hardspace|$char_160)*(http\:\/\/)*(.+?)(?:\s|\t|\n|$hardspace|$char_160)*\[/img\]~<img src="$modimgurl/antitheft/guestimage.gif" alt="guestrtxt{'2'}" border="0" />~isg;
  }
</replace>

<search for>
	if( $autolinkurls ) {
		if ($stealthurl){
</search for>

<add before>
	if($username ne "Guest" || ($username eq "Guest" && $antitheftlinks==1)) {
</add before>

<search for>
	$message =~ s~\[news\](\S+?)\[/news\]~<a href="$1">$1</a>~isg;
	$message =~ s~\[gopher\](\S+?)\[/gopher\]~<a href="$1">$1</a>~isg;
</search for>

<add after>
  }else{
  LoadLanguage("AntiTheft");
	if( $autolinkurls ) {
		$message =~ s~([^\w\"\=\[\]]|[\n\b]|\A)\\*(\w+://[\w\~\.\;\:\,\$\-\+\!\*\?/\=\&\@\#\%]+\.[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%]+[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%])~$1<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;
		$message =~ s~[^(?:\://\w+)]([^\"\=\[\]/\:\.]|[\n\b]|\[quote.*?\]|\A)\\*(www\.[^\.][\w\~\.\;\:\,\$\-\+\!\*\?/\=\&\@\#\%]+\.[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%]+[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%])~$1<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;
		}
	$message =~ s~\[url\]\s*www\.(\S+?)\s*\[/url\]~<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;
	$message =~ s~\[url=\s*(\S\w+\://\S+?)\s*\](.+?)\[/url\]~<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;
	$message =~ s~\[url=\s*(\S+?)\](.+?)\s*\[/url\]~<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;
	$message =~ s~\[url\]\s*(\S+?)\s*\[/url\]~<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;

	$message =~ s~\[link\]\s*www\.(\S+?)\s*\[/link\]~<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;
	$message =~ s~\[link=\s*(\S\w+\://\S+?)\s*\](.+?)\[/link\]~<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;
	$message =~ s~\[link=\s*(\S+?)\](.+?)\s*\[/link\]~<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;
	$message =~ s~\[link\]\s*(\S+?)\s*\[/link\]~<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;
	$message =~ s~\[ftp\](\S+?)\[/ftp\]~<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;

	$message =~ s~\[email\]\s*(\S+?\@\S+?)\s*\[/email\]~<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;
	$message =~ s~\[email=\s*(\S+?\@\S+?)\](.*?)\[/email\]~<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;

	$message =~ s~\[news\](\S+?)\[/news\]~<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;
	$message =~ s~\[gopher\](\S+?)\[/gopher\]~<a href="$boardurl/YaBB.$yyext?action=register">$guestrtxt{'1'}</a>~isg;
  }
</add after>